{% block body %}
	<div class="contenu clearfix">
        <form method="post" name="new_group" id="new_group" class="bg_form padding_form border_form clearfix">
            <div class="single">						
                {{ inputAdvance('TEXT', {
                    'titre' : 'Libellé du nouveau groupe' | trad ~ ' :',
                    'name' : 'GROUPE',
                    'value' : group,
                    'pathValidator' : path('Ajax.validator.isStringAvecEspace'),
                    'paramsValidator' : "{'sizeMin' : '1', 'sizeMax' : '30'}",
                    'obligatoire' : true,
                }) }}
            </div>
			<div class="button_right full validation_modal">
				<button type="submit" class="button principal button_right" >{{'Valider' | trad}}</button>
                <a class="button secondaire" href="{{ path('Evaluation.GroupOfRaters.index', {mode: mode, id: id}) }}">{{ 'Annuler' | trad }}</a>
            </div>
        </form>
    </div>
    <script>
        $('#new_group').on('submit', function(e){
            e.preventDefault();
            var data = $('#new_group').serialize();
            activeLoader();
            $.ajax({
                url         : '{{ path('Evaluation.GroupOfRaters.validate', {mode: mode, id: id, group: group}) }}',
                type        : 'POST',
                dataType    : 'JSON',
                data        : data,
                success     : function (data) {
                    if (data.statut == 'O') {
                        desactiveLoader(); 
                        redirectJSWithPost(data.path);
                    } else {
                        desactiveLoader();
                        activePopupErreur('{{ path('Ajax.Erreur.popupErreurValid') }}', '',  data.erreur);
                    }
                }
            });
        })
    </script>
{% endblock %}
